%define major 1
%define libname %mklibname gdither %major
%define develname %mklibname gdither -d

Name:           libgdither
Version:        0.6
Release:        %mkrel 8
Summary:        Library for applying dithering to PCM audio sources
Group:          System/Libraries
License:        GPLv2+
URL:            http://plugin.org.uk/libgdither/README
Source0:        http://plugin.org.uk/libgdither/libgdither-%{version}.tar.gz
Patch0:         libgdither-0.6-default.patch
Patch1:         libgdither-0.6-gavl.patch
BuildRequires:  fftw-devel >= 3.0.0

%description
Libgdither is a GPL'd library library for performing audio dithering on 
PCM samples. The dithering process should be carried out before reducing 
the bit width of PCM audio data (eg. float to 16 bit int conversions) to 
preserve audio quality.

%package -n     %libname
Summary:        Library for applying dithering to PCM audio sources
Group:          System/Libraries

%description -n %libname
Libgdither is a GPL'd library library for performing audio dithering on 
PCM samples. The dithering process should be carried out before reducing 
the bit width of PCM audio data (eg. float to 16 bit int conversions) to 
preserve audio quality.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig
Provides:       %{name}-devel = %{version}-%{release}

%description -n  %develname
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
export INIT_CFLAGS="%optflags"
%make_build

%install
%make_install LIBDIR=%{_libdir}

# (Fedora) don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} ';'

sed -i -e 's|/usr/local|%{_prefix}|g' \
   %{buildroot}%{_libdir}/pkgconfig/libgdither.pc
sed -i -e 's|%{_prefix}/lib|%{_libdir}|' \
  %{buildroot}%{_libdir}/pkgconfig/libgdither.pc

%check
%__make test CFLAGS="${RPM_OPT_FLAGS} -Werror --std=c99 -I%{_builddir}/%{?buildsubdir}"

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %develname
%doc COPYING README
%{_includedir}/libgdither/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgdither.pc


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.6-8.mga8
+ Revision: 1514102
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.6-7.mga7
+ Revision: 1298863
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.6-6.mga6
+ Revision: 947603
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-5.mga5
+ Revision: 741426
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-4.mga5
+ Revision: 681480
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6-3.mga4
+ Revision: 507003
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6-2.mga3
+ Revision: 357190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 09 2011 ahmad <ahmad> 0.6-1.mga2
+ Revision: 102111
- Adapt the spec to the Mageia packaging guide lines
- imported package libgdither


* Thu Jun 09 2011 ahmad <ahmad> 0.6-1.mga2
+ Revision: 102111
- Adapt the spec to the Mageia packaging guide lines
- imported package libgdither


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 27 2008 kwizart < kwizart at gmail.com > - 0.6-1
- Backport patch from gavl

* Mon Jun 16 2008 kwizart < kwizart at gmail.com > - 0.6-0
- Initial package
